Update API key
curl --request PATCH \
--url https://api.rafftechnologies.com/api/v1/api-keys/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": true
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/api-keys/{id}"
payload = {
"name": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"is_active": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', expires_at: '2023-11-07T05:31:56Z', is_active: true})
};
fetch('https://api.rafftechnologies.com/api/v1/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key_prefix": "raff_17d70fcf",
"is_active": true,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "public",
"expires_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_name": "<string>",
"role_slug": "<string>",
"project_accesses": [
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_name": "<string>",
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_name": "<string>",
"role_slug": "<string>"
}
],
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}API Keys
Update API Key
Update an API key’s name, expiry, rate-limit tier, or active flag. Permissions cannot be changed via this endpoint — change the role assigned to the key instead, or rotate to a new key.
PATCH
/
api
/
v1
/
api-keys
/
{id}
Update API key
Updated May 8, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Path Parameters
API key ID (UUID)
Body
application/json
Last modified on May 8, 2026
⌘I